<vn>
<div id="title">
	<h1><t>ShoppingBasket</t></h1>
</div>
<div id="actions">
	<htk-bar-button
		icon="ok"
		tip="_Checkout"
		on-click="onCheckoutClick"/>
	<htk-bar-button
		icon="view-dual"
		tip="_Catalog"
		on-click="onCatalogClick"/>
	<htk-bar-button
		icon="preferences"
		tip="_ConfigureOrder"
		on-click="onConfigureClick"/>
</div>
<div id="form" class="basket">
	<div class="box">
		<div class="head">
			<p>
				<t>Total</t> 
				<htk-text format="%.2d€">
					<db-calc-sum property="param" func="subtotal" model="items"/>
				</htk-text>
			</p>
		</div>
		<div class="lines">
			<htk-repeater form-id="iter" renderer="repeaterFunc">
				<db-model id="items" property="model" updatable="true">
					SELECT bi.id, bi.amount, bi.price, i.longName item, i.image,
							i.tag5, i.value5, i.tag6, i.value6, i.tag7, i.value7
						FROM myBasketItem bi
							JOIN vn.item i ON i.id = bi.itemFk
				</db-model>
				<custom>
					<div class="line">
						<htk-button
							form="iter"
							column="id"
							class="delete"
							tip="_Remove"
							icon="delete"
							on-click="onDeleteClick"/>
						<htk-image
							form="iter"
							column="image"
							class="photo"
							directory="catalog"
							subdir="200x200"
							full-dir="1600x900"/>
						<div class="info">
							<h2>
								<htk-text form="iter" column="item"/>
							</h2>
							<p class="tags">
								<htk-text form="iter" column="tag5"/> 
								<htk-text form="iter" column="value5"/>, 
								<htk-text form="iter" column="tag6"/> 
								<htk-text form="iter" column="value6"/>, 
								<htk-text form="iter" column="tag7"/> 
								<htk-text form="iter" column="value7"/>
							</p>
							<p class="amount">
								<htk-text form="iter" column="amount"/> x
								<htk-text form="iter" column="price" format="%.2d€"/>
								<span class="subtotal">
									<htk-text id="subtotal" format="%.2d€"/>
								</span>
							</p>
						</div>
						<div class="clear"/>
					</div>
				</custom>
			</htk-repeater>
		</div>
	</div>
</div>
</vn>
